Bug 195418 - Delete WebMetal implementation in favor of WebGPU
Summary: Delete WebMetal implementation in favor of WebGPU
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-03-07 10:41 PST by Myles C. Maxfield
Modified: 2019-03-29 18:36 PDT (History)
8 users (show)

See Also:


Attachments
Patch (508.34 KB, patch)
2019-03-07 10:44 PST, Myles C. Maxfield
dino: review+
Details | Formatted Diff | Diff
Patch (539.34 KB, patch)
2019-03-07 10:57 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch for committing (539.33 KB, patch)
2019-03-07 10:59 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch for committing (508.95 KB, patch)
2019-03-07 16:14 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch for committing (510.44 KB, patch)
2019-03-07 17:16 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch for committing (540.49 KB, patch)
2019-03-07 17:35 PST, Myles C. Maxfield
ews-watchlist: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-highsierra (2.60 MB, application/zip)
2019-03-07 18:49 PST, EWS Watchlist
no flags Details
Archive of layout-test-results from ews105 for mac-highsierra-wk2 (2.62 MB, application/zip)
2019-03-07 19:08 PST, EWS Watchlist
no flags Details
Archive of layout-test-results from ews114 for mac-highsierra (2.24 MB, application/zip)
2019-03-08 07:17 PST, EWS Watchlist
no flags Details
Patch for committing (559.80 KB, patch)
2019-03-11 15:02 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
WIP (560.02 KB, patch)
2019-03-25 21:42 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch for committing (560.02 KB, patch)
2019-03-25 21:43 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch for committing (559.37 KB, patch)
2019-03-29 12:01 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myles C. Maxfield 2019-03-07 10:41:53 PST
Delete WebMetal implementation in favor of WebGPU
Comment 1 Myles C. Maxfield 2019-03-07 10:44:39 PST
Created attachment 363896 [details]
Patch
Comment 2 Dean Jackson 2019-03-07 10:47:12 PST
Comment on attachment 363896 [details]
Patch

I couldn't find them, but I assume the tests in Tools are also removed.
Comment 3 Myles C. Maxfield 2019-03-07 10:57:21 PST
Created attachment 363899 [details]
Patch
Comment 4 Myles C. Maxfield 2019-03-07 10:59:22 PST
Created attachment 363900 [details]
Patch for committing
Comment 5 Myles C. Maxfield 2019-03-07 10:59:53 PST
I will defer committing until we have compute facilities in WebGPU.
Comment 6 Myles C. Maxfield 2019-03-07 16:14:45 PST
Created attachment 363948 [details]
Patch for committing
Comment 7 Myles C. Maxfield 2019-03-07 17:16:34 PST
Created attachment 363962 [details]
Patch for committing
Comment 8 Myles C. Maxfield 2019-03-07 17:35:19 PST
Created attachment 363963 [details]
Patch for committing
Comment 9 EWS Watchlist 2019-03-07 18:49:21 PST
Comment on attachment 363963 [details]
Patch for committing

Attachment 363963 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/11421479

New failing tests:
inspector/canvas/resolveCanvasContext-webmetal.html
fast/canvas/webmetal/webmetal-dispatch.html
fast/canvas/webmetal/webmetal-runtime-flag.html
Comment 10 EWS Watchlist 2019-03-07 18:49:23 PST
Created attachment 363971 [details]
Archive of layout-test-results from ews102 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 11 EWS Watchlist 2019-03-07 19:08:37 PST
Comment on attachment 363963 [details]
Patch for committing

Attachment 363963 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/11421570

New failing tests:
inspector/canvas/resolveCanvasContext-webmetal.html
fast/canvas/webmetal/webmetal-dispatch.html
fast/canvas/webmetal/webmetal-runtime-flag.html
Comment 12 EWS Watchlist 2019-03-07 19:08:39 PST
Created attachment 363973 [details]
Archive of layout-test-results from ews105 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 13 EWS Watchlist 2019-03-08 07:17:11 PST
Comment on attachment 363963 [details]
Patch for committing

Attachment 363963 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/11425992

New failing tests:
inspector/canvas/resolveCanvasContext-webmetal.html
fast/canvas/webmetal/webmetal-dispatch.html
fast/canvas/webmetal/webmetal-runtime-flag.html
Comment 14 EWS Watchlist 2019-03-08 07:17:13 PST
Created attachment 364010 [details]
Archive of layout-test-results from ews114 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 15 Myles C. Maxfield 2019-03-11 15:02:12 PDT
Created attachment 364293 [details]
Patch for committing
Comment 16 Myles C. Maxfield 2019-03-25 21:42:33 PDT
Created attachment 365942 [details]
WIP
Comment 17 Myles C. Maxfield 2019-03-25 21:43:48 PDT
Created attachment 365944 [details]
Patch for committing
Comment 18 Myles C. Maxfield 2019-03-29 12:01:37 PDT
Created attachment 366290 [details]
Patch for committing
Comment 19 WebKit Commit Bot 2019-03-29 15:19:08 PDT
Comment on attachment 366290 [details]
Patch for committing

Clearing flags on attachment: 366290

Committed r243666: <https://trac.webkit.org/changeset/243666>
Comment 20 Devin Rousso 2019-03-29 15:58:16 PDT
Comment on attachment 366290 [details]
Patch for committing

View in context: https://bugs.webkit.org/attachment.cgi?id=366290&action=review

> Source/WebInspectorUI/UserInterface/Models/Canvas.js:-78
> -        case CanvasAgent.ContextType.WebMetal:

We actually still want this to exist, so that we support older backends (just like how we "still" have WebGPU (meaning the older WebGPU, which was renamed to WebMetal)).

<https://webkit.org/b/196412>
Comment 21 Radar WebKit Bug Importer 2019-03-29 18:36:38 PDT
<rdar://problem/49443093>